## org.eclipse.e4.xwt
Interface ILogger

    public interface ILogger

Looger interface

Author:
  yyang

Method Summary
`void` `addMessage(java.lang.String message, Tracking tracking)`
`void` `error(java.lang.Throwable e)`
`void` `error(java.lang.Throwable e, java.lang.String message)`
`void` `message(java.lang.String message)`
`void` `printInfo(java.lang.String message, Tracking tracking, java.util.Set<Tracking> trackType)`
`void` `removeMessage(Tracking tracking)`
`void` `warning(java.lang.String message)`

Method Detail

### error

    void error(java.lang.Throwable e)

### error

    void error(java.lang.Throwable e,
               java.lang.String message)

### warning

    void warning(java.lang.String message)

### message

    void message(java.lang.String message)

### printInfo

    void printInfo(java.lang.String message,
                   Tracking tracking,
                   java.util.Set<Tracking> trackType)

### addMessage

    void addMessage(java.lang.String message,
                    Tracking tracking)

### removeMessage

    void removeMessage(Tracking tracking)